function scale_space = derive_scale_space(signal,dsigma,iterations,mask_size)
% Derive the scale space for the input signal by starting 
% with dsigma and going all the way up tp dsigma*iterations

for i=1:1:iterations;
    scale_space(i,:) = conv(signal,FSPECIAL('gaussian',[1,mask_size],i*dsigma));
end